Bug 237382 - (alexandria) Review Request: alexandria - Book collection manager
Review Request: alexandria - Book collection manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rick L Vinyard Jr
Fedora Package Reviews List
:
Depends On: ruby-amazon ruby-gettext-package ruby-zoom
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-21 13:07 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-31 11:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rvinyard: fedora‑review+
mtasaka: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Mamoru TASAKA 2007-04-30 23:15:01 EDT
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/alexandria.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/alexandria-0.6.1-2.fc7.src.rpm

-------------------------------------------------
* Tue May  1 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.1-2
- Fix scriptlets typo
Comment 2 Chitlesh GOORAH 2007-05-10 14:57:06 EDT
"fedora" should not be used as vendor

I haven't mock the package yet, however under F7:
...
install alexandria-C.omf /usr/share/omf/alexandria
/usr/bin/scrollkeeper-update
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
...

W: alexandria non-conffile-in-etc /etc/gconf/schemas/alexandria.schemas
I think this rpmlint issue can be ignored considering the fact that other 
files under the /etc/gconf/schemas/ folder bears the same rpmlint issue. Any 
Gnomer to point out how or what should be done if not ignored.

[chitlesh@goorah SPECS]$ rpm -qf /etc/gconf/schemas/gnome-terminal.schemas
gnome-terminal-2.18.0-1.fc7
[chitlesh@goorah SPECS]$ rpmlint gnome-terminal
W: gnome-terminal 
non-conffile-in-etc /etc/gconf/schemas/gnome-terminal.schemas
[chitlesh@goorah SPECS]$ 
rpm -qf /etc/gconf/schemas/gnome-power-manager.schemas
gnome-power-manager-2.18.2-2.fc7
[chitlesh@goorah SPECS]$ rpmlint gnome-power-manager
W: gnome-power-manager 
non-conffile-in-etc /etc/gconf/schemas/gnome-power-manager.schemas

Just for the sake of katapult, is it possible for you to ship a 128x128 icon 
as well so as alexandria's icon on katapult looks beautiful.
Comment 3 Mamoru TASAKA 2007-05-10 15:48:24 EDT
Thank you for initial comment.

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/alexandria.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/alexandria-0.6.1-3.fc7.src.rpm
------------------------------------------------
* Fri May 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.1-3
- This time completely disable scrollkeeper-update
- Create 128x128 icon also

(In reply to comment #2)
> "fedora" should not be used as vendor
As far as I see on "desktop-file-install usage" section of
http://fedoraproject.org/wiki/Packaging/Guidelines, it still
recommends to use fedora as vendor_id
------------------------------------------------------
If upstream uses <vendor_id>, leave it intact, otherwise 
use fedora as <vendor_id>.
-------------------------------------------------------

> install alexandria-C.omf /usr/share/omf/alexandria
> /usr/bin/scrollkeeper-update
> Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
> Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
This time I nuked this message by creating symlink.

> 
> W: alexandria non-conffile-in-etc /etc/gconf/schemas/alexandria.schemas
> I think this rpmlint issue can be ignored considering the fact 
Actually we usually ignore this rpmlint for gconf schemas files.

> Just for the sake of katapult, is it possible for you to ship a 128x128 icon 
> as well so as alexandria's icon on katapult looks beautiful.
For now I just created 128x128 icon by ImageMagick convert
because I could not find some larger icon in tarball or
alexandria homepage.
Comment 4 Mamoru TASAKA 2007-05-25 13:35:49 EDT
Rick, ping?
Comment 5 Rick L Vinyard Jr 2007-05-25 13:40:41 EDT
Sorry about the delay... this week has been more hectic than I anticipated. I'll
have a full review in the next day or two.
Comment 6 Rick L Vinyard Jr 2007-05-29 12:12:45 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: x86_64
 [x] Rpmlint output:
         W: alexandria non-conffile-in-etc /etc/gconf/schemas/alexandria.schemas
       This is acceptable.
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
     Not included in alexandria distribution
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    :
8f81822ba7a2cef2ce0b8f7d472f59737127d6c926853f4a4e288e11fdf8cf7f
     MD5SUM upstream package:
8f81822ba7a2cef2ce0b8f7d472f59737127d6c926853f4a4e288e11fdf8cf7f
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [!] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
       This is only a suggested item, not a required.
 [x] Reviewer should test that the package builds in mock.
     Tested on:
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: 05/20/2007, Fedora development
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [x] File based requires are sane.


=== Issues ===
1. rpmlint has warning output that is a known false positive.

=== Final Notes ===
1. It might be nice to leverage the alexandria.desktop translations for
Non-English languages. However, this isn't a requirement that would stop approval.


================
*** APPROVED ***
================
Comment 7 Mamoru TASAKA 2007-05-29 12:27:50 EDT
Thank you for the review!

Well, then would you set the fedora‑review tag to + (plus)?
Comment 8 Mamoru TASAKA 2007-05-29 12:57:49 EDT
Thank you.

Request for CVS admin:

-----------------------------------------------
New Package CVS Request
=======================
Package Name:       alexandria
Short Description:  Book collection manager
Owners:             mtasaka@ioa.s.u-tokyo.ac.jp
Branches:           devel F-7 FC-6 FC-5
InitialCC:          (nobody)
-----------------------------------------------
Comment 9 Mamoru TASAKA 2007-05-29 15:25:57 EDT
Well, koji does not accept my build queue.

-----------------------------------------------------------
[tasaka1@localhost devel]$ LANG=C make build
Created task: 19954
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=19954
Watching tasks (this may be safely interrupted)...
19954 build (dist-f8, devel:alexandria-0_6_1-3_fc8): free
19954 build (dist-f8, devel:alexandria-0_6_1-3_fc8): free -> open
(ppc3.fedora.redhat.com)
  19955 buildSRPMFromCVS (devel:alexandria-0_6_1-3_fc8): free
  19955 buildSRPMFromCVS (devel:alexandria-0_6_1-3_fc8): free -> open
(ppc2.fedora.redhat.com)
  19955 buildSRPMFromCVS (devel:alexandria-0_6_1-3_fc8): open
(ppc2.fedora.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
19954 build (dist-f8, devel:alexandria-0_6_1-3_fc8): open
(ppc3.fedora.redhat.com) -> FAILED: BuildError: package alexandria not in list
for tag dist-f8
  0 free  0 open  1 done  1 failed
make: *** [koji] Error 1
---------------------------------------------------------------

CVS admin, what should I do for this?
Comment 10 Mamoru TASAKA 2007-05-31 11:39:31 EDT
Well, now I could rebuild alexandria on koji.

Built on devel, F-7, FC-6.
(I have forgotton that ruby-gnome2 is not shipped on FE-5, so
 this package won't be pushed on FE-5)

Closing as NEXTRELEASE. Thank your for review!

Note You need to log in before you can comment on or make changes to this bug.